package com.subsecret.dnstester.gui;

import javax.swing.JLabel;
import javax.swing.JTextArea;
import javax.swing.JToggleButton;

import com.subsecret.dnstester.common.DNSLogger;

public class GUIDNSLogger extends DNSLogger {
    private JTextArea area;
    private JLabel average;
    private JLabel median;
    private JLabel max;
    private JLabel min;
    private JLabel count;
    private JLabel success;
    private JLabel failed;
    JToggleButton start;
    
    public GUIDNSLogger(JTextArea area, JLabel average, JLabel median, JLabel min, JLabel max, JLabel count, JLabel success,
            JLabel failed, JToggleButton start) {
        this.area = area;
        this.average = average;
        this.median = median;
        this.max = max;
        this.min = min;
        this.count = count;
        this.success = success;
        this.failed = failed;
        this.start = start;
    }
    
    public void update() {
        median.setText(getMedianDelay() + " ms.");
        average.setText(getAverageDelay() + " ms.");
        failed.setText("" + getFailed());
        success.setText("" + getSucceeded());
        count.setText("" + getCount());
        max.setText("" + getMax());
        min.setText("" + getMin());
    }
    
    @Override
    public void log(String log) {
        area.append(log + "\n");
        
    }
    
    @Override
    public void done() {
        start.setSelected(false);
        area.append("DONE\n");
    }
    
}
